> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List payment customers



## OpenAPI

````yaml /openapi.json post /payments/customers/list-by-metadata
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /payments/customers/list-by-metadata:
    post:
      tags:
        - payments
        - debug
      summary: List payment customers
      operationId: PaymentsController_listCustomers
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListPaymentCustomersInputBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListPaymentCustomersOutput'
components:
  schemas:
    ListPaymentCustomersInputBody:
      type: object
      properties:
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/PageInfo'
        order:
          description: the sort options
          allOf:
            - $ref: '#/components/schemas/OrderDto'
        metadata:
          $ref: '#/components/schemas/MetadataSearch'
    ListPaymentCustomersOutput:
      type: object
      properties:
        data:
          description: the list of items in the page
          type: array
          items:
            $ref: '#/components/schemas/StripeCustomer'
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/ResponsePageInfo'
        totalCount:
          type: number
          description: the total number of items
        currentPage:
          type: number
          description: the current page
        totalPages:
          type: number
          description: the total number of pages
      required:
        - data
        - pageInfo
        - totalCount
        - currentPage
        - totalPages
    PageInfo:
      type: object
      properties:
        count:
          type: number
          description: the number of items to return
          default: 10
        page:
          type: number
          description: the page to retrieve
          default: 1
    OrderDto:
      type: object
      properties:
        by:
          type: string
          description: the sort key
        direction:
          type: string
          description: the sort direction
      required:
        - by
        - direction
    MetadataSearch:
      type: object
      properties:
        and:
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
        or:
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
    StripeCustomer:
      type: object
      properties:
        metadata:
          description: metadata assigned to the object
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
        id:
          type: string
          description: the id of the stripe customer
        name:
          type: string
          description: the name of the customer
        createdAt:
          format: date-time
          type: string
          description: the date of creation of the stripe customer
      required:
        - metadata
        - id
        - name
        - createdAt
    ResponsePageInfo:
      type: object
      properties:
        first:
          type: boolean
          description: whether this is the first page
        last:
          type: boolean
          description: whether this is the last page
    Metadata:
      type: object
      properties:
        key:
          type: string
          description: the key of the metadata
        value:
          type: string
          description: the value of the metadata
      required:
        - key
        - value

````